## gcc-11-cross 24

=== debian/changelog ===
gcc-11-cross (24) unstable; urgency=medium

  * Build using gcc 11.5.0-7.
  * Don't build s390x multilib packages for Ubuntu 24.10 and newer.
  * Work around an issue in dpkg-cross not handling shared libs dependencies
    in -dev packages.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2025 14:42:49 +0200
