=== debian/control ===
Source: gcc-11-cross
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: gcc-11-source (>= 11.5.0-7~),
  gcc-11-base (>= 11.5.0-7~),
  binutils-multiarch (>= 2.39-6),
  autoconf2.69, bison (>= 1:2.3),
  chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
  gperf (>= 3.0.1), lib32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc-s1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc-s1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc-s1-s390x-cross [amd64 i386 x32 arm64 ppc64el],
  binutils-x86-64-linux-gnu (>= 2.39-6) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.39-6) [amd64 arm64 ppc64el x32],
  libc6-dev-amd64-cross (>= 2.32) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.32) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.32) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
  libisl-dev (>= 0.22.1-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-11,
  gccgo-11,
  gdc-11,
#  gm2-11 [!powerpc !ppc64 !x32],
  gnat-11 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, libzstd-dev, python3, time,
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-11-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-11-cross
Rules-Requires-Root: binary-targets

Package: gcc-11-cross-base
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-11-x86-64-linux-gnu-base
Architecture: arm64 i386 ppc64el x32
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-11-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-11 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-11-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-11-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-11-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-11-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-11-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-11-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-11-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-11-doc (>= ${gcc:SoftVersion}), gcc-11-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-amd64-cross, libgomp1-dbg-amd64-cross, libitm1-dbg-amd64-cross, libatomic1-dbg-amd64-cross, libtsan0-dbg-amd64-cross, libbacktrace1-dbg-amd64-cross, libquadmath-dbg-amd64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for amd64 architecture.

Package: gcc-11-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-11-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-11-plugin-dev-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-11-x86-64-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-11-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-11-locales (>= ${gcc:SoftVersion})
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for amd64 architecture.

Package: g++-11-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-11-x86-64-linux-gnu (= ${gcc:Version}), libstdc++-11-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-x86-64-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-11-doc (>= ${gcc:SoftVersion}), libstdc++6-11-dbg-amd64-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for amd64 architecture.

Package: g++-11-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), g++-11-x86-64-linux-gnu (= ${gcc:Version}), gcc-11-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libasan6-amd64-cross
Architecture: all
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: AddressSanitizer -- a fast memory error detector
 AddressSanitizer (ASan) is a fast memory error detector.  It finds
 use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.

Package: lib32asan6-amd64-cross
Architecture: all
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: AddressSanitizer -- a fast memory error detector (32bit)
 AddressSanitizer (ASan) is a fast memory error detector.  It finds
 use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.

Package: libx32asan6-amd64-cross
Architecture: all
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: AddressSanitizer -- a fast memory error detector (x32)
 AddressSanitizer (ASan) is a fast memory error detector.  It finds
 use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.

Package: libtsan0-amd64-cross
Architecture: all
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ThreadSanitizer -- a Valgrind-based detector of data races
 ThreadSanitizer (Tsan) is a data race detector for C/C++ programs. 
 The Linux and Mac versions are based on Valgrind.

Package: gobjc++-11-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc-11-x86-64-linux-gnu (= ${gcc:Version}), g++-11-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-11-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjcxx:multilib}, gcc-11-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler-x86-64-linux-gnu
Description: GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: gobjc++-11-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc++-11-x86-64-linux-gnu (= ${gcc:Version}), g++-11-multilib-x86-64-linux-gnu (= ${gcc:Version}), gobjc-11-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Objective-C++ compiler (multilib files)
 This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
 platforms supported by the gcc compiler.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).
