## gcc-11-cross 24ubuntu1

=== debian/changelog ===
gcc-11-cross (24ubuntu1) questing; urgency=medium

  * Build using gcc 11.5.0-7ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2025 15:10:36 +0200
