## gcc-11-cross 25

=== debian/changelog ===
gcc-11-cross (25) unstable; urgency=medium

  * Build using gcc 11.5.0-8.
  * Stop building s390x multilib packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Feb 2026 11:06:29 +0100
