=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.7.2
-Build-Depends: gcc-11-source (>= 11.5.0-7~),
-  gcc-11-base (>= 11.5.0-7~),
+Standards-Version: 4.7.3
+Build-Depends: gcc-11-source (>= 11.5.0-8~),
+  gcc-11-base (>= 11.5.0-8~),
   binutils-multiarch (>= 2.39-6),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
-  gperf (>= 3.0.1), lib32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc-s1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc-s1-i386-cross [amd64 arm64 ppc64el x32], lib64gcc-s1-powerpc-cross [amd64 i386 x32 ppc64el],
-  binutils-x86-64-linux-gnu (>= 2.39-6) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-i686-linux-gnu (>= 2.39-6) [amd64 arm64 ppc64el x32],
-  libc6-dev-amd64-cross (>= 2.32) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.32) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-powerpc-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-i386-cross (>= 2.32) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
+  gperf (>= 3.0.1), lib32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc-s1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc-s1-i386-cross [amd64 arm64 ppc64el x32],
+  binutils-x86-64-linux-gnu (>= 2.39-6) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.39-6) [amd64 arm64 ppc64el x32],
+  libc6-dev-amd64-cross (>= 2.32) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.32) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.32) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
   libisl-dev (>= 0.22.1-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -144,27 +144,11 @@
  AddressSanitizer (ASan) is a fast memory error detector.  It finds
  use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: libasan6-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), libasan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
-Description: AddressSanitizer -- a fast memory error detector (debug symbols)
- AddressSanitizer (ASan) is a fast memory error detector.  It finds
- use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
-
 Package: lib32asan6-amd64-cross
 Architecture: all
 Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: ${confl:lib32}
 Description: AddressSanitizer -- a fast memory error detector (32bit)
- AddressSanitizer (ASan) is a fast memory error detector.  It finds
- use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
-
-Package: lib32asan6-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), lib32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
-Description: AddressSanitizer -- a fast memory error detector (32 bit debug symbols)
  AddressSanitizer (ASan) is a fast memory error detector.  It finds
  use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
@@ -175,14 +159,32 @@
  AddressSanitizer (ASan) is a fast memory error detector.  It finds
  use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: libx32asan6-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), libx32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
-Description: AddressSanitizer -- a fast memory error detector (x32 debug symbols)
- AddressSanitizer (ASan) is a fast memory error detector.  It finds
- use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
-
 Package: libtsan0-amd64-cross
 Architecture: all
 Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: ThreadSanitizer -- a Valgrind-based detector of data races
+ ThreadSanitizer (Tsan) is a data race detector for C/C++ programs. 
+ The Linux and Mac versions are based on Valgrind.
+
+Package: gobjc++-11-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el x32
+Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc-11-x86-64-linux-gnu (= ${gcc:Version}), g++-11-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-11-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Suggests: ${gobjcxx:multilib}, gcc-11-doc (>= ${gcc:SoftVersion})
+Provides: objc++-compiler-x86-64-linux-gnu
+Description: GNU Objective-C++ compiler
+ This is the GNU Objective-C++ compiler, which compiles
+ Objective-C++ on platforms supported by the gcc compiler. It uses the
+ gcc backend to generate optimized code.
+
+Package: gobjc++-11-multilib-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el x32
+Depends: gcc-11-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc++-11-x86-64-linux-gnu (= ${gcc:Version}), g++-11-multilib-x86-64-linux-gnu (= ${gcc:Version}), gobjc-11-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GNU Objective-C++ compiler (multilib files)
+ This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
+ platforms supported by the gcc compiler.
+ .
+ On architectures with multilib support, the package contains files
+ and dependencies for the non-default multilib architecture(s).
+
+Package: gobjc-11-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el x32
