## gcc-11-cross 25ubuntu1

=== debian/changelog ===
gcc-11-cross (25ubuntu1) resolute; urgency=medium

  * Fix building on architecture variants.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Feb 2026 16:17:17 +0100
