## gcc-11-cross 25ubuntu2

=== debian/changelog ===
gcc-11-cross (25ubuntu2) resolute; urgency=medium

  * Fix building on architecture variants.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Feb 2026 14:43:04 +0100
