=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
   DEB_VER_ACT    := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-$(GCC_VER)-cross),arm64,ppc64))
 endif
 CROSS_EXT       := cross$(DEB_VER_ACT)
+CROSS_EXT       := cross2
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
@@ -207,4 +208,3 @@
 ifneq (,$(filter x32, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
   EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
-  ifeq ($(skip_common_packages),yes)
